<div class="update-translation-container">
  <form [formGroup]="this.updateTranslationForm" (ngSubmit)="this.updateTranslation(this.updateTranslationForm.value)"
    class="update-book-form">
    <mat-form-field>
      <input matInput placeholder="add title" required formControlName="text" value="{{ this.translation.text }}">
    </mat-form-field>

    <button mat-icon-button [color]="'primary'" class="create-book-button" type="submit"
      [disabled]="this.updateTranslationForm.invalid">
      <i class="material-icons">
        edit
      </i>
    </button>
  </form>
</div>
